import scrapy
from douban.items import DoubanItem

class MovieSpider(scrapy.Spider):
    name = 'movie'
    allowed_domains = ['douban.com']
    start_urls = ['https://movie.douban.com/top250']

    def parse(self, response):
        names = response.xpath('//div[@class="hd"]/a/span[1]/text()').extract()
        stars = response.xpath('//span[@class="rating_num"]/text()').extract()
        # for name,star in zip(names,stars):
        #     yield {
        #         'name':name,
        #         'star':star
        #     }
        item = DoubanItem()
        for name, star in zip(names, stars):
            item['name'] = name
            item['star'] = star
            yield item
