import scrapy


class QuSpider(scrapy.Spider):
    name = 'qu'
    allowed_domains = ['qu.la']
    start_urls = ['https://www.qu.la/book/4703/2014176.html']

    def parse(self, response):
        title = response.xpath('//h1/text()').extract_first()
        content = response.xpath('string(//div[@class="content"])').extract_first().strip().replace('　　　　    ','\n')
        next_url = response.xpath('//div[@class="section-opt"]/a[3]/@href').extract_first()

        yield{
            'title':title,
            'content':content
        }
        yield scrapy.Request(response.urljoin(next_url), callback=self.parse)