# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: https://docs.scrapy.org/en/latest/topics/item-pipeline.html


# useful for handling different item types with a single interface
from itemadapter import ItemAdapter
from pymongo import MongoClient
from pymysql import connect
class MongoDemoPipeline:
    def open_spider(self,spider):
        self.client = MongoClient()
        self.db = self.client.movie
        self.collection = self.db.collection

    def process_item(self, item, spider):
        print("------------------")
        self.collection.insert(item)
        return item

    def close_spider(self,spider):
        self.client.close()

class MysqlPipeline:
    def open_spider(self,spider):
        self.client = connect(host='localhost', port='3306', user='root', password='root', db='test01')
        self.cursor = self.client.cursor()

    def process_item(self, item, spider):
        sql = 'insert into t_maoyan values(0,%s,%s)'
        self.cursor.execute(sql, [item['name'], item['star']])
        self.client.commit()
        return item

    def close_spider(self,spider):
        self.cursor.close()
        self.client.close()