import scrapy


class MaoyanSpider(scrapy.Spider):
    name = 'maoyan'
    allowed_domains = ['maoyan.com']
    start_urls = ['https://maoyan.com/films?showType=3&offset={}'.format(num*30) for num in range(3)]

    def parse(self, response):
        names = response.xpath('//div[@class="channel-detail movie-item-title"]/a/text()').extract()
        stars =[div.xpath('string(.)').extract_first() for div in response.xpath('//div[@class="channel-detail channel-detail-orange"]')]
        for name,star in zip(names,stars):
            yield {
                'name':name,
                'starts':star
            }